Bug 70521 - Install unable to update the partition table on promise controller
Install unable to update the partition table on promise controller
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-01 20:23 EDT by Samuel Flory
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (87.50 KB, text/plain)
2002-08-01 20:24 EDT, Samuel Flory
no flags Details

  None (edit)
Description Samuel Flory 2002-08-01 20:23:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
  The newer limbo seem to be unable to update the partition table.  This only
occurs in the installer.  On the 1st attempt the installer dies as it can't
updated the partition table.  If you attempt to install with an existing
partition table the installer installs the rpms, but dies before installing a
bootloader.  If you drop to a shell you can run fdisk normally unless you've let
the installer touch the partition table.  I can install the system via fdisk,
mke2fs, and tar from an nfsroot with no issues.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1)Attempt to install on a Tyan 2515 /w a fastrak controller
2)Attempt again using the existing partition table
	

Actual Results:  System failed with the following error:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 757, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 610, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 764, in doInstall
    method.filesDone ()
  File "/usr/lib/anaconda/image.py", line 220, in filesDone
    isys.umount("/mnt/source")
  File "/usr/lib/anaconda/isys.py", line 173, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source


Additional info:

This is a tyan 2515 /w promise ataraid

<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<4>PDC20267: IDE controller on PCI bus 00 dev 18
<4>PDC20267: chipset revision 2
<4>PDC20267: not 100% native mode: will probe irqs later
<4>PDC20267: ROM enabled at 0xfeae0000
<4>PDC20267: (U)DMA Burst Bit ENABLED Primary MASTER Mode Secondary MASTER Mode.
<4>    ide2: BM-DMA at 0xdf00-0xdf07, BIOS settings: hde:pio, hdf:pio
<4>    ide3: BM-DMA at 0xdf08-0xdf0f, BIOS settings: hdg:pio, hdh:pio
<4>SvrWks OSB4: IDE controller on PCI bus 00 dev 79
<4>SvrWks OSB4: chipset revision 0
<4>SvrWks OSB4: not 100% native mode: will probe irqs later
<4>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:pio, hdb:DMA
<4>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:pio, hdd:pio
<4>hdb: CD-224E, ATAPI CD/DVD-ROM drive
<4>hde: ST320410A, ATA DISK drive
<4>hdg: ST320410A, ATA DISK drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide2 at 0xdfe0-0xdfe7,0xdfae on irq 31
<4>ide3 at 0xdfa0-0xdfa7,0xdfaa on irq 31
<4>blk: queue c02ebb0c, I/O limit 4095Mb (mask 0xffffffff)
<4>blk: queue c02ebb0c, I/O limit 4095Mb (mask 0xffffffff)
<6>hde: 39102336 sectors (20020 MB) w/2048KiB Cache, CHS=38792/16/63, UDMA(100)
<4>blk: queue c02ebe50, I/O limit 4095Mb (mask 0xffffffff)
<4>blk: queue c02ebe50, I/O limit 4095Mb (mask 0xffffffff)
<6>hdg: 39102336 sectors (20020 MB) w/2048KiB Cache, CHS=38792/16/63, UDMA(100)
<4>hdb: ATAPI 24X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hde: hde1 hde2 hde3
<6> hdg: hdg1 hdg2 hdg3
Comment 1 Samuel Flory 2002-08-01 20:24:40 EDT
Created attachment 68405 [details]
anacdump.txt
Comment 2 Michael Fulbright 2002-08-05 11:40:49 EDT
Is this reproducible?
Comment 3 Michael Fulbright 2002-08-26 12:33:46 EDT
Closing due to inactivity. Please reopen if you have additional information to add.
Comment 4 Samuel Flory 2002-08-26 15:44:26 EDT
  I've been tracking this problem in this bug 64788.
Comment 5 Red Hat Bugzilla 2006-02-21 13:49:19 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.